# VSCode AI 聊天插件

这是一个基于 VSCode 的 AI 聊天助手插件，提供智能对话、代码帮助等功能。

## 功能特点

- 集成聊天界面：在 VSCode 中直接与 AI 助手对话
- 智能代码补全：获取代码建议和解决方案
- 多种视图模式：聊天、示例、流程图、文档等
- 现代化UI：基于Vue3、Ant Design Vue构建的美观界面

## 开发指南

### 环境要求

- Node.js (>= 14.x)
- VSCode (>= 1.60.0)

### 安装依赖

```bash
# 安装主项目依赖
npm install

# 安装Webview依赖
cd webview
npm install
cd ..
```

### 开发模式

```bash
# 并行开发VSCode扩展和Webview
npm run dev
```

### 构建插件

```bash
# 构建Webview前端
npm run webview:build

# 打包VSCode扩展
npm run package
```

## 技术栈

- VSCode扩展 API
- TypeScript
- Vue 3
- Vite
- Pinia
- Ant Design Vue
- Ant Design X Vue

## 参与贡献

欢迎提交Issue或PR来完善此项目。

## 许可证

MIT 